View Issue Details

IDProjectCategoryView StatusLast Update
14482Bug reports[All Projects] Print Viewpublic2019-04-30 09:11
ReporterpotamoAssigned Todominikvitt 
PrioritynoneSeverityfeature 
Status closedResolutionno change required 
Product Version3.15.x 
Target VersionFixed in Version 
Summary14482: numbers besides questions groups and questions is confusing
Description

In the print view of answers, there are numbers printed beside the question groups and questions (eventually id's of question groups and questions). For participants, these numbers are quite confusing, as these numbers are printed (like the questions) in bold style, whereas the answers of the participants are printed in regular style. I would prefer not to show these numbers in the print view.

Steps To Reproduce
  1. Enable option 'participants can print answers'
  2. Take a survey
  3. Go to print view
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8+ 190130
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionnot relevant

Activities

dominikvitt

dominikvitt

2019-02-07 15:29

developer   ~50444

We can't remove it, as someone may need this feature.

But, it is easy to make required changes on your own installation.

  • Open Themes
  • Extend one of basic themes, like vanilla
  • Open Theme editor for that theme
  • Select "Print answers" on Screen dropdown
  • Click on printanswers_question.twig file on the left pane
  • Edit file
  • Click on "Copy to local theme and save changes" button
potamo

potamo

2019-02-11 15:22

reporter   ~50498

#dominikvitt: thank you very much

Issue History

Date Modified Username Field Change
2019-02-01 12:50 potamo New Issue
2019-02-07 15:29 dominikvitt Assigned To => dominikvitt
2019-02-07 15:29 dominikvitt Status new => resolved
2019-02-07 15:29 dominikvitt Resolution open => no change required
2019-02-07 15:29 dominikvitt Note Added: 50444
2019-02-11 15:22 potamo Note Added: 50498
2019-04-30 09:11 c_schmitz Status resolved => closed